Package sop.util

# Class UTF8Util

java.lang.Object
sop.util.UTF8Util

public class UTF8Util extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final Charset`
`UTF8`

## Constructor Summary

Constructors
Constructor
Description
`UTF8Util()`

## Method Summary

Modifier and Type
Method
Description
`static String`
`decodeUTF8(byte[] data)`
Detect non-valid UTF8 data.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### UTF8

public static final Charset UTF8

## Constructor Details

### UTF8Util

public UTF8Util()

## Method Details

### decodeUTF8

public static String decodeUTF8(byte[] data) throws CharacterCodingException
Detect non-valid UTF8 data.

Parameters:
  `data` - utf-8 encoded bytes
Returns:
  decoded string
Throws:
  `CharacterCodingException` - if the input data does not resemble UTF8
See Also:
  - ante on StackOverflow